import { TemplateRef, ViewContainerRef, ComponentFactoryResolver, ChangeDetectorRef } from '@angular/core';
import { PositionService } from '../../tool/pos.service';
export declare class SideNavComponent {
    private _cd;
    constructor(_cd: ChangeDetectorRef);
    container: ViewContainerRef;
    createTp(tp: TemplateRef<any>): void;
    clear(): void;
    sideState: 'show' | 'hid';
    disClose: boolean;
    closeSelf(): void;
    done(): void;
    closeCb: Function;
    openCb: Function;
    close(cb: Function): void;
    open(cb: Function): void;
    width: number;
    paddingTop: number;
}
export declare class navSideDirective {
    private _vcr;
    private _cfr;
    _pos: PositionService;
    sideTp: TemplateRef<any>;
    width: number;
    forceFix: boolean;
    top: number;
    parentEl: any;
    zIndex: number;
    disClose: boolean;
    constructor(_vcr: ViewContainerRef, _cfr: ComponentFactoryResolver, _pos: PositionService);
    tp: TemplateRef<any>;
    preTp: TemplateRef<any>;
    parent: any;
    tpEl: any;
    comRef: any;
    isOpen: boolean;
    prevent: boolean;
    createTp: () => any;
    open(): void;
    clear(): void;
    close(): void;
    toggle(): void;
    ngOnDestroy(): void;
}
