import { Component, ViewChild, ElementRef } from '@angular/core';
var TooltipComponent = (function () {
    function TooltipComponent(_el) {
        this._el = _el;
        this.node = _el.nativeElement;
        this.node.id = 'id1';
    }
    Object.defineProperty(TooltipComponent.prototype, "Arrow", {
        set: function (val) {
            var place = val.placement, dis = val.dis, attr;
            if (this.pure)
                return;
            this.arrow = 'arrow-' + place;
            if (dis > 0) {
                this.arrowEl.nativeElement.style.marginLeft = val.dis + 'px';
            }
        },
        enumerable: true,
        configurable: true
    });
    ;
    TooltipComponent.decorators = [
        { type: Component, args: [{
                    selector: 'app-tooltip',
                    template: "\n        <div #arrowEl class=\"{{arrow}}\"></div>\n        <ng-content></ng-content> \n  ",
                    host: {
                        'class': 'abs show'
                    }
                },] },
    ];
    /** @nocollapse */
    TooltipComponent.ctorParameters = function () { return [
        { type: ElementRef, },
    ]; };
    TooltipComponent.propDecorators = {
        'arrowEl': [{ type: ViewChild, args: ['arrowEl',] },],
    };
    return TooltipComponent;
}());
export { TooltipComponent };
//# sourceMappingURL=tooltip.component.js.map