import { Directive, Input, TemplateRef, ViewContainerRef } from '@angular/core';
var ngzForInDirective = (function () {
    function ngzForInDirective(_tp, _vcr) {
        this._tp = _tp;
        this._vcr = _vcr;
    }
    Object.defineProperty(ngzForInDirective.prototype, "ngzForIn", {
        set: function (params) {
            if (params instanceof Object) {
                if (params != this.preParams)
                    this._vcr.clear();
                this.preParams = params;
                for (var i in params) {
                    var viewRef = this._vcr.createEmbeddedView(this._tp);
                    viewRef.context.$implicit = i;
                    viewRef.context.value = params[i];
                }
            }
        },
        enumerable: true,
        configurable: true
    });
    ngzForInDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[ngzForIn]'
                },] },
    ];
    /** @nocollapse */
    ngzForInDirective.ctorParameters = function () { return [
        { type: TemplateRef, },
        { type: ViewContainerRef, },
    ]; };
    ngzForInDirective.propDecorators = {
        'ngzForIn': [{ type: Input },],
    };
    return ngzForInDirective;
}());
export { ngzForInDirective };
//# sourceMappingURL=for-in.directive.js.map