import { Injectable } from '@angular/core';
import { ToolService } from '../tool/tool.service';
import { Resize } from './resize.service';
import { PositionService } from '../tool/pos.service';
var GlobService = (function () {
    function GlobService(tool, res, pos) {
        this.tool = tool;
        this.res = res;
        this.pos = pos;
        this.tooltip = {
            hidStyle: { opacity: 0, transform: 'scale(.5,.5)' },
            showStyle: { opacity: 1, transform: 'scale(1,1)' }
        };
    }
    GlobService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    GlobService.ctorParameters = function () { return [
        { type: ToolService, },
        { type: Resize, },
        { type: PositionService, },
    ]; };
    return GlobService;
}());
export { GlobService };
//# sourceMappingURL=glob.service.js.map