import { Component, Input } from '@angular/core';
import { collapse } from '../../animate/base';
var CollapseItemComponent = (function () {
    function CollapseItemComponent() {
        var _this = this;
        this.state = 'show';
        this.openParent = function (index) { };
        this.clearMark = function () { };
        this.close = function () {
            _this.isOpen = false;
            _this.clearMark();
        };
        this.toggle = function () { return _this.isOpen ? _this.close() : _this.open(); };
    }
    Object.defineProperty(CollapseItemComponent.prototype, "_open", {
        set: function (val) {
            var _this = this;
            if (val) {
                var preState_1 = this.state;
                this.state = null;
                this.isOpen = true;
                setTimeout(function () {
                    _this.state = _this.state || preState_1;
                }, 1);
            }
        },
        enumerable: true,
        configurable: true
    });
    ;
    CollapseItemComponent.prototype.open = function () {
        this.isOpen = true;
        this.openParent(this.index);
    };
    CollapseItemComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ngz-collapse-item',
                    template: "        \n        <ng-content select=\"[ngz-collapse-btn]\"></ng-content>\n  \n            <div [@Collapse]=\"state\" *ngIf=\"isOpen\" class=\"w-100\" style=\"overflow:hidden\">\n                <div class=\"px-1\">\n                    <ng-content></ng-content>\n                </div>\n            </div>\n\n    ",
                    animations: [collapse()]
                },] },
    ];
    /** @nocollapse */
    CollapseItemComponent.ctorParameters = function () { return []; };
    CollapseItemComponent.propDecorators = {
        '_open': [{ type: Input, args: ['open',] },],
    };
    return CollapseItemComponent;
}());
export { CollapseItemComponent };
//# sourceMappingURL=collapseItem.component.js.map