import { ElementRef, ViewContainerRef, Injector, ComponentFactoryResolver } from '@angular/core';
import { PositionService } from '../../tool/pos.service';
import { Resize } from '../../service/resize.service';
import { GlobService } from '../../service/glob.service';
export declare class TooltipDirective {
    private _el;
    private _cfr;
    private _vcr;
    private injector;
    _pos: PositionService;
    _res: Resize;
    glob: GlobService;
    placement: 'top' | 'bottom' | 'left' | 'right';
    tipValue: any;
    pure: boolean;
    preventDefault: boolean;
    mouseenter(): void;
    mouseleave(): void;
    showStyle: any;
    hidStyle: any;
    value: any;
    node: any;
    anTool: any;
    onceValue: string;
    onceNum: number;
    onceShow(val: string): void;
    reset(): void;
    open(): void;
    close(): void;
    resSub: any;
    constructor(_el: ElementRef, _cfr: ComponentFactoryResolver, _vcr: ViewContainerRef, injector: Injector, _pos: PositionService, _res: Resize, glob: GlobService);
    ngOnDestroy(): void;
}
