import { lib, getGroup, _replace } from './libClass';
var _function = function (str) { return _replace(str, /\b(function|constructor|while|for|if|else|switch)\b/g, function (x) { return lib.jsFn(x); }); };
var _variables = function (str) { return _replace(str, /\b(const|var|let|private|public|:\w+)\b/g, function (x) { return lib.jsVar(x); }); };
//.log | example(param)
var _property = function (str) { return _replace(str, /(\.\w+\b)|\w+(?=\(.*?\))/g, function (x) { return lib.jsProperty(x); }); };
var _special = function (str) { return _replace(str, /\b(require|export|import|return|interface|from|break|case|set|get|extends)\b/g, function (x) { return lib.jsSpecial(x); }); };
export function hJs(val) {
    var groupReg = /(?:(\'|\").*?\1)|(\/\*[^]*?\*\/)|(\/\/.*)/g;
    var arr = getGroup(val, groupReg);
    var str = '';
    arr.forEach(function (v, index) {
        if (!(index % 2)) {
            v = _variables(v);
            v = _function(v);
            v = _property(v);
            v = _special(v);
        }
        else if (v.match(/^\/\//)) {
            v = lib.jsComment(v);
        }
        else if (v.match(/^\/\*/)) {
            v = _replace(v, /<td>/g, function (x) { return '<td class="zl-cmt">'; });
            v = lib.jsComment(v);
        }
        str += v;
    });
    return str;
}
//# sourceMappingURL=js.js.map