var insert = function (val, s) { return "<a class=\"" + s + "\">" + val + "</a>"; };
export function getGroup(str, reg) {
    var result, preIndex = 0, arr = [];
    while (result = reg.exec(str)) {
        arr.push(str.slice(preIndex, result.index));
        arr.push(result[0]);
        preIndex = reg.lastIndex;
    }
    arr.push(str.slice(preIndex));
    return arr;
}
export function _replace(str, reg, cb) {
    str = str.replace(reg, cb);
    return str;
}
export var lib = {
    tag: function (val) { return insert(val, 'zl-tag'); },
    tagAttr: function (val) { return insert(val, 'zl-tAttr'); },
    tagVal: function (val) { return insert(val, 'zl-tVal'); },
    jsFn: function (val) { return insert(val, 'zl-fn'); },
    jsVar: function (val) { return insert(val, 'zl-var'); },
    jsProperty: function (val) { return insert(val, 'zl-pt'); },
    jsSpecial: function (val) { return insert(val, 'zl-sp'); },
    jsComment: function (val) { return insert(val, 'zl-cmt'); }
};
//# sourceMappingURL=libClass.js.map