import { Pipe } from '@angular/core';
var DateObj = (function () {
    function DateObj(date) {
        this.y = date.getFullYear();
        this.M = date.getMonth();
        this.d = date.getDate();
        this.h = date.getHours();
        this.m = date.getMinutes();
    }
    return DateObj;
}());
var TimePipe = (function () {
    function TimePipe() {
    }
    TimePipe.prototype.transform = function (value, args) {
        var now = new Date(), pre = new Date(value), nowObj = new DateObj(now), preObj = new DateObj(pre);
        var sm = 1000, mm = sm * 60, hm = mm * 60, dm = hm * 24;
        var mFn = function (mi) {
            var h = Math.floor(mi / hm);
            if (h > 0) {
                var m_1 = Math.ceil(mi % hm / mm);
                return h + '小时' + (m_1 ? m_1 + '分钟前' : '');
            }
            var m = Math.floor(mi / mm);
            if (m > 0)
                return m + '分钟前';
            var s = Math.floor(mi / sm);
            return (s || 1) + '秒前';
        };
        var disMi = now - pre;
        var str;
        if (disMi <= dm) {
            str = mFn(disMi);
        }
        else {
            var _db = function (n) { return n.length > 1 ? n : '0' + n; };
            for (var i in nowObj) {
                var dis = nowObj[i] - preObj[i];
                if (dis) {
                    str = i == 'd' ? dis + '天前' + _db(preObj.h) + ':' + _db(preObj.m) : preObj.y + '-' + (preObj.M + 1) + '-' + preObj.d;
                }
            }
        }
        return str;
    };
    TimePipe.decorators = [
        { type: Pipe, args: [{
                    name: 'ngzTime'
                },] },
    ];
    /** @nocollapse */
    TimePipe.ctorParameters = function () { return []; };
    return TimePipe;
}());
export { TimePipe };
//# sourceMappingURL=time.pipe.js.map