import { Injectable } from '@angular/core';
import { Subject } from 'rxjs/Subject';
import { debounce } from '../tool/debounce';
var sm = 720;
var lg = 1140;
/*
    sm<720;
    1140>md>=720
    lg>=1140
 */
var Resize = (function () {
    function Resize() {
        var _this = this;
        this.valSub = new Subject();
        this.compare();
        window.addEventListener('resize', debounce(function (e) {
            _this.compare();
        }, 200));
    }
    Resize.prototype.compare = function () {
        var width = window.innerWidth;
        this.value = width < sm ? 'sm' : (width >= lg ? 'lg' : 'md');
        this.valSub.next(this.value);
    };
    Resize.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    Resize.ctorParameters = function () { return []; };
    return Resize;
}());
export { Resize };
//# sourceMappingURL=resize.service.js.map