import { getPos, resizePos, tooltipPos, transitionOrigin } from './pos';
export interface MoveAnimateParams {
    x1: number;
    x0: number;
    t?: number;
    vt?: number;
    timing?: 'out' | 'in' | 'ease';
}
export declare class PositionService {
    _origin: typeof transitionOrigin;
    getPos: typeof getPos;
    resizePos: typeof resizePos;
    tooltipPos: typeof tooltipPos;
    posToRel: (node: any) => void;
    moveAnimate: (params: MoveAnimateParams, cb: Function, end?: Function) => void;
}
